<app-loading *ngIf="isLoading"></app-loading>
<div class="content">
  <mb-button
    *ngIf="objFunction?.create"
    mbButtonType="NO_BORDER"
    mbButtonSize="LARGE"
    (click)="showModal(footerTpl, modeEnum.ADD)"
    mbButtonText="{{ 'common.button.add' | translate }}"
    mbButtonAvailableStyle="PRIMARY"
  ></mb-button>
</div>

<div class="form-search">
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30, 10]">
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-date-picker
          formControlName="fromDateTo"
          mbLabelText="{{ 'insurance.common.label.fromDateTo' | translate }}"
        ></mb-date-picker>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select
          formControlName="subject"
          (ngModelChange)="onSubjectChange($event)"
          [mbDataSelects]="subjectOptions"
          [mbShowSearch]="false"
          mbPlaceholder="{{
            'insurance.placeholder.select'
              | translateLabel: 'insurance.insuranceRate.label.subject'
          }}"
          mbLabelText="{{
            'insurance.insuranceRate.label.subject' | translate
          }}"
        >
        </mb-select>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select
          formControlName="subjectEmployee"
          [mbDataSelects]="subjectEmployeeOptions"
          [mbShowSearch]="false"
          mbPlaceholder="{{
            'insurance.placeholder.select'
              | translateLabel: 'insurance.insuranceRate.label.subjectEmployee'
          }}"
          mbLabelText="{{
            'insurance.insuranceRate.label.subjectEmployee' | translate
          }}"
        >
        </mb-select>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select
          formControlName="insuranceIds"
          [mbDataSelects]="insuranceOptions"
          [mbShowSearch]="false"
          mbLabelText="{{
            'insurance.insuranceRate.label.insurance' | translate
          }}"
          mbPlaceholder="{{
            'insurance.placeholder.select'
              | translateLabel: 'insurance.insuranceRate.label.insurance'
          }}"
        >
        </mb-select>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select
          formControlName="flagStatus"
          [mbDataSelects]="statusOptions"
          [mbShowSearch]="false"
          mbPlaceholder="{{
            'insurance.placeholder.select'
              | translateLabel: 'insurance.common.label.flagStatus'
          }}"
          mbLabelText="{{ 'insurance.common.label.flagStatus' | translate }}"
        >
        </mb-select>
      </div>
    </div>
  </form>
  <div class="search-btn">
    <mb-button
      mbButtonAvailableStyle="CUSTOM"
      (click)="search()"
      mbButtonText="{{ 'common.label.search' | translate }}"
    >
    </mb-button>
    <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE">
      <img src="assets/images/icon/excel.svg" alt="export" />
    </mb-button>
  </div>
</div>

<div class="search__content--group">
  <mb-table-wrap>
    <mb-table
      (changePageNum)="search($event)"
      [heightTable]="heightTable"
      [tableConfig]="tableConfig"
      [tableData]="tableData"
    ></mb-table>
  </mb-table-wrap>
</div>

<ng-template #flagStatusTpl let-flagStatus="flagStatus">
  <nz-tag
    [nzColor]="statusDict[flagStatus].backgroud"
    [ngStyle]="{ color: statusDict[flagStatus].color }"
  >
    {{ statusDict[flagStatus].label }}
  </nz-tag>
</ng-template>

<ng-template #actionTpl let-id="id">
  <div class="btn-wrap">
    <mb-button
      *ngIf="objFunction?.edit"
      (click)="showModal(footerTpl, modeEnum.EDIT, id)"
      mbButtonType="ONLY_ICON"
      mbButtonIconType="AWESOME"
      mbPrefixIcon="far fa-pencil-alt"
    ></mb-button>
    <mb-button
      *ngIf="objFunction?.delete"
      (click)="showConfirm(id, $event)"
      mbButtonType="ONLY_ICON"
      mbButtonIconType="AWESOME"
      mbPrefixIcon="fal fa-trash-alt"
    ></mb-button>
  </div>
</ng-template>

<ng-template #footerTpl>
  <mb-button
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'common.button.saveS' | translate }}"
    (click)="modalRef.getContentComponent().save()"
  >
  </mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'common.button.cancel' | translate }}"
    (click)="modalRef.destroy()"
  >
  </mb-button>
</ng-template>
